Hi Again,
i have below code where I can replace the 2D component but seleciton of 2D component is manual, any idea how I can do that using 2D component name.
'---- Begin resolution script for object : 2D Component.1 (Instance)
Set drawingDocument1 = CATIA.ActiveDocument
Set drawingSheets1 =...
Yes below code is working but not the other one which you have posted.
Option Explicit
Sub CATMain()
MsgBox CStr(CATIA.Documents.Count)
End Sub
Any suggestions.
Regards...Vijay
Hello,
I must be doing something incorrect, but now I receiving the error stating "object doesn't support this property or method"
I am attaching the CATIA file with this Post, could you please suggest what i am missing exactly.
Thank you for your help.
Regards...Vijay...
Hello,
yes You both are right, the name was still CATIA, did not realize about renaming it in properties.
Now I have updated the name and the symbol name but still getting same compilation error.
I am not getting what I am missing.
It is working at your end..
Sorry for all this mess, and...
Hello,
Still getting same compilation error.
I have attached the CATIA files with this post for your reference.
Could you please help.
Regards...Vijay...
Hello,
Thank you for the Macro.
I am quite new for VBA coding, thank you for helping in creating the Macro. I have used this Macro but I am getting some compile error. I have attached the CATIA files for your reference n case there is any problem with catalog part.
My ultimate aim is to...
Hello,
Yes I do have design tables which are linked with CATIA Component as well CATIA drawing. I have linked the values from table with CATIA drawing (Like title block info and some notes on drawing view) by creating the parameters.
For example i have created the parameter named "Stock Size"...
Hello,
Thank you for your help,
I have gone through the documents and created 2D instances which can be replaced using "replace reference" (And as I understand all these instances should be created in same drawing to replace them, am I right?) but I am still not able to link these 2D component...
Hello,
Thank you for your response.
But could you please elaborate your suggestion, i am not quite understanding what you are suggesting.
I do have a model where i have created parameters which i can link with the drawing view. But I am stuck with how to insert that symbol as view and how to...
Hello,
I have saved some views as a symbol which I am currently in inserting into the CATIA drawing using Catalog option. I need to change these symbols with the input provided in design table excel sheet.
Is there any way to do this with VBA code or for that matter with parametric modelling...